Bug 1264593 - Engrampa segfaults when attempting to open an archive from a networked location
Engrampa segfaults when attempting to open an archive from a networked location
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: engrampa (Show other bugs)
epel7
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 19:07 EDT by John Conroy
Modified: 2015-10-20 01:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: engrampa-1.10.2-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-20 01:53:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to revert commit 37badab (5.11 KB, patch)
2015-09-18 19:07 EDT, John Conroy
no flags Details | Diff

  None (edit)
Description John Conroy 2015-09-18 19:07:35 EDT
Created attachment 1075105 [details]
Patch to revert commit 37badab

Description of problem:
Engrampa segfaults when attempting to open an archive from a networked location.  Simply pass the URL to an SRPM to engrampa on the command line.:

engrampa https://kojipkgs.fedoraproject.org//packages/engrampa/1.10.1/1.el7/src/engrampa-1.10.1-1.el7.src.rpm

Version-Release number of selected component (if applicable):
engrampa-1.10.1-1.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Launch engrampa from the command line with a URL to an archive
2.
3.

Actual results:
Engrampa launches and immediately segfaults

Expected results:
Engrampa loads the archive

Additional info:
Engrampa 1.8.1 (and file-roller before it) was able to successfully open networked archives.  With release 1.10.1, engrampa will segfault when attempting to open an archive from a URL.

(gdb) bt
#0  0x00000000004377b5 in fr_window_progress_cb (archive=0x70a980, fraction=0.0014738736383107171, window=0x6a1380) at fr-window.c:2686
#1  0x00007ffff5809b76 in g_cclosure_marshal_VOID__DOUBLEv () from /lib64/libgobject-2.0.so.0
#2  0x00007ffff5807207 in _g_closure_invoke_va () from /lib64/libgobject-2.0.so.0
#3  0x00007ffff5820487 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#4  0x00007ffff58210ef in g_signal_emit () from /lib64/libgobject-2.0.so.0
#5  0x0000000000446083 in g_copy_files_progess_cb (current_num_bytes=<optimized out>, total_num_bytes=<optimized out>, user_data=<optimized out>) at gio-utils.c:969
#6  0x00007ffff5a89db6 in copy_async_progress_in_main () from /lib64/libgio-2.0.so.0
#7  0x00007ffff550d99a in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#8  0x00007ffff550dce8 in g_main_context_iterate.isra.24 () from /lib64/libglib-2.0.so.0
#9  0x00007ffff550dfba in g_main_loop_run () from /lib64/libglib-2.0.so.0
#10 0x00007ffff769c797 in gtk_main () from /lib64/libgtk-x11-2.0.so.0
#11 0x00000000004116e9 in main (argc=1, argv=0x7fffffffbf18) at main.c:322

kernel: engrampa[9811]: segfault at 78 ip 00000000004377b5 sp 00007ffc27a6c5e0 error 4 in engrampa[400000+64000]

Reverting the commit 37badab513ccac69db427207c1cd38ee57997449 seems to solve the problem for me.
Comment 1 John Conroy 2015-09-18 19:13:20 EDT
Communicated issue upstream at GitHub:  https://github.com/mate-desktop/engrampa/issues/85
Comment 2 Wolfgang Ulbrich 2015-09-18 20:02:52 EDT
Confirmed, see my comment at upstream report.
Comment 3 Fedora Update System 2015-10-01 15:44:03 EDT
engrampa-1.10.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-93650dc588
Comment 4 Fedora Update System 2015-10-02 19:50:01 EDT
engrampa-1.10.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update engrampa'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-93650dc588
Comment 5 Fedora Update System 2015-10-04 09:25:13 EDT
engrampa-1.10.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-93650dc588
Comment 6 Fedora Update System 2015-10-05 00:21:03 EDT
engrampa-1.10.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update engrampa'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-93650dc588
Comment 7 Fedora Update System 2015-10-20 01:53:10 EDT
engrampa-1.10.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.